Skip to content
Start here

Fetch the complete transcript for a session

client.RealtimeKit.Sessions.GetSessionTranscripts(ctx, appID, sessionID, query) (*SessionGetSessionTranscriptsResponse, error)
GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/transcript

Returns a URL to download the transcript for the session ID in CSV format.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
sessionID string
query SessionGetSessionTranscriptsParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type SessionGetSessionTranscriptsResponse struct{…}
Data SessionGetSessionTranscriptsResponseDataoptional
SessionID string
TranscriptDownloadURL string

URL where the transcript can be downloaded

TranscriptDownloadURLExpiry string

Time when the download URL will expire

Success booloptional

Fetch the complete transcript for a session

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Sessions.GetSessionTranscripts(
    context.TODO(),
    "app_id",
    "session_id",
    realtime_kit.SessionGetSessionTranscriptsParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "sessionId": "sessionId",
    "transcript_download_url": "transcript_download_url",
    "transcript_download_url_expiry": "transcript_download_url_expiry"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "sessionId": "sessionId",
    "transcript_download_url": "transcript_download_url",
    "transcript_download_url_expiry": "transcript_download_url_expiry"
  },
  "success": true
}